Bug 1414704 - ip6tables -t nat -A POSTROUTING/OUTPUT with DROP target can't filter packets
Summary: ip6tables -t nat -A POSTROUTING/OUTPUT with DROP target can't filter packets
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: iptables
Version: 25
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1298879
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 10:11 UTC by Tomas Dolezal
Modified: 2017-12-12 10:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1298879
Environment:
Last Closed: 2017-12-12 10:51:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas Dolezal 2017-01-19 10:11:35 UTC
iptables-1.6.0-2.fc25.x86_64
iptables accepts the action

all chains in nat table:
:: [   PASS   ] :: iptables: Failure to accept DROP to 'nat/PREROUTING' chain (Expected 2, got 2)
:: [   FAIL   ] :: ip6tables: Failure to accept DROP to 'nat/PREROUTING' chain (Expected 2, got 0)
:: [   PASS   ] :: File 'iptables.stderr' should contain 'nat.*intended.*inhibited' 
:: [   FAIL   ] :: File 'ip6tables.stderr' should contain 'nat.*intended.*inhibited'

Comment 1 Fedora End Of Life 2017-11-16 19:20:42 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:51:17 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.